Bug 565809 (CVE-2010-0424)

Summary: CVE-2010-0424 vixie-cron, cronie: Race condition by setting timestamp of user's crontab file, when editing the file
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: kreilly, mmaslano, psklenar, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20100218,reported=20100209,source=researcher,cvss2=3.6/AV:L/AC:L/Au:N/C:N/I:P/A:P,rhel-4/vixie-cron=wontfix,rhel-5/vixie-cron=affected,rhel-6.0/cronie=affected,fedora-all/cronie=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-21 04:33:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 566498, 566501, 741534    
Bug Blocks: 742493    

Description Jan Lieskovsky 2010-02-16 06:54:10 EST
Race condition was found in the way vixie-cron and cronie
used to set up timestamp (modification time) for crontab
file of the individual user by editing the file. A local
attacker could use this flaw to conduct unintended changes
of timestamp (modification time) value against various
system files, potentially leading to denial of their service.

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 5 Jan Lieskovsky 2010-02-16 07:32:55 EST
This issue affects the versions of the vixie-cron package, 
as shipped with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the cronie package,
as shipped with Fedora release of 11 and 12.
Comment 8 Jan Lieskovsky 2010-02-17 08:47:47 EST
CVE-2010-0424 has been assigned for this.
Comment 12 Fedora Update System 2010-02-19 02:03:44 EST
cronie-1.4.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cronie-1.4.3-4.fc12
Comment 13 Fedora Update System 2010-02-19 02:18:06 EST
cronie-1.4.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cronie-1.4.3-4.fc12
Comment 14 Fedora Update System 2010-02-19 03:56:02 EST
cronie-1.4.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cronie-1.4.4-1.fc13
Comment 15 Fedora Update System 2010-02-24 01:12:38 EST
cronie-1.4.3-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Vincent Danen 2010-02-25 15:45:05 EST
The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw. More information regarding issue severity can be found here:

http://www.redhat.com/security/updates/classification/
Comment 17 Fedora Update System 2010-03-04 22:33:12 EST
cronie-1.4.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-03-10 08:26:21 EST
cronie-1.3-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cronie-1.3-4.fc11
Comment 19 Fedora Update System 2010-03-15 20:42:38 EDT
cronie-1.3-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Josh Bressers 2011-07-25 12:36:12 EDT
Statement:

(none)
Comment 22 errata-xmlrpc 2012-02-20 22:13:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0304 https://rhn.redhat.com/errata/RHSA-2012-0304.html